/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ServiceInfos_H_
#define	_ServiceInfos_H_


#include <asn_application.h>

/* Including external dependencies */
#include <asn_SEQUENCE_OF.h>
#include <constr_SEQUENCE_OF.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct ServiceInfo;

/* ServiceInfos */
typedef struct ServiceInfos {
	A_SEQUENCE_OF(struct ServiceInfo) list;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} ServiceInfos_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ServiceInfos;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "ServiceInfo.h"

#endif	/* _ServiceInfos_H_ */
#include <asn_internal.h>
